package com.gic.haoban.manage.web.vo.eventtracking;

import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/5/21 15:56
 */
@Data
public class WechatEventTrackingClerkVO extends StoreGroupCommonVO implements Serializable {

    /**
     * 1访问时长 单位秒
     */
    private Long visitTime;

    /**
     * 访问时长 00:00:00格式
     */
    private String visitTimeStr;

    /**
     * 2最后一次登陆时间
     */
    private String lastVisitTime;

    /**
     * 是否绑定
     */
    private String isBinding;

    /**
     * 是否登陆
     */
    private String isLogin;

    /**
     * 登陆次数
     */
    private Integer visitCnt;

    /**
     * 导购id
     */
    private String clerkId;

    private String clerkName;

    private String clerkCode;

    public String getVisitTimeStr() {
        if (visitTime != null) {
            int hour = (int) (visitTime / 3600);

            String str = getTimeStr(hour);

            if (hour > 0) {
                visitTime = visitTime - (3600 * hour);
            }

            int minute = (int) (visitTime / 60);
            str = str + ":" + getTimeStr(minute);
            if (minute > 0) {
                visitTime = visitTime - (60 * minute);
            }
            str = str +":"+ getTimeStr(visitTime.shortValue());
            return str;
        }
        return visitTimeStr;
    }

    private static String getTimeStr(int time) {
        String str = "";
        if (time == 0) {
            str = "00";
        } else if (time < 10) {
            str = "0" + time + "";
        } else {
            str = "" + time;
        }
        return str;
    }
}
